Package: org.apache.groovy.util

## [Java] Class Closures.FunctionClosure<T, R>

- org.apache.groovy.util.Closures.FunctionClosure

- All Implemented Interfaces and Traits:
    Function

      public static class Closures.FunctionClosure<T, R>
      extends Closure
      implements Function

  Hybrid one-argument function that is both a Closure and a Function.

  Since:
    6.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Closure` | `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, OWNER_FIRST, OWNER_ONLY, TO_SELF, maximumNumberOfParameters, parameterTypes`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object[]` | `additionalReferences()` Exposes the wrapped Function, which the call methods dispatch to but which is held outside the `owner`/`delegate`/`thisObject` references the cycle check walks by default.
    `` | `public R` | `apply(T t)`
    `` | `public R` | `call(Object arg)`
    `` | `public R` | `call(Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Closure` | `additionalReferences, andThen, andThenSelf, andThenSelf, asWritable, call, call, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setMetaClass, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Method Detail

    - #### protected Object[] additionalReferences()

      Exposes the wrapped Function, which the call methods dispatch to but which is held outside the `owner`/`delegate`/`thisObject` references the cycle check walks by default. Only `Closure`-valued links are followed, so a plain Function contributes nothing.

    - #### public R apply(T t)

    - #### public R call(Object arg)

    - #### public R call(Object args)